package com.zjt.entity;

import java.util.Date;

public class cgmaterial {

    private Long id;

    private String username;

    private String materialcode;

    private String materialdetile;

    private String price;

    private String sph;

    private String cyl;

    private String axis;

    private String pdfod;

    private String ph;

    private String xadd;

    private String prism;

    private String cva;

    private String opticbc;

    private String rs;

    private String sd;

    private String lrs;

    private String crs;

    private String brs;

    private String mpro;

    private String lbpo;

    private String frameshape;

    private String frameheight;

    private String framebridgewidth;

    private String spk;

    private String jframeshape;

    private String color;

    private String lenDiameter;

    private String px;

    private String ps;

    private String mark;

    private String wz;

    private Date createtime;

    private String store;

    private Integer num;

    private String yuliu1;

    private String ly;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username == null ? null : username.trim();
    }

    public String getMaterialcode() {
        return materialcode;
    }

    public void setMaterialcode(String materialcode) {
        this.materialcode = materialcode == null ? null : materialcode.trim();
    }

    public String getMaterialdetile() {
        return materialdetile;
    }

    public void setMaterialdetile(String materialdetile) {
        this.materialdetile = materialdetile == null ? null : materialdetile.trim();
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price == null ? null : price.trim();
    }

    public String getSph() {
        return sph;
    }

    public void setSph(String sph) {
        this.sph = sph == null ? null : sph.trim();
    }

    public String getCyl() {
        return cyl;
    }

    public void setCyl(String cyl) {
        this.cyl = cyl == null ? null : cyl.trim();
    }

    public String getAxis() {
        return axis;
    }

    public void setAxis(String axis) {
        this.axis = axis == null ? null : axis.trim();
    }

    public String getPdfod() {
        return pdfod;
    }

    public void setPdfod(String pdfod) {
        this.pdfod = pdfod == null ? null : pdfod.trim();
    }

    public String getPh() {
        return ph;
    }

    public void setPh(String ph) {
        this.ph = ph == null ? null : ph.trim();
    }

    public String getXadd() {
        return xadd;
    }

    public void setXadd(String xadd) {
        this.xadd = xadd == null ? null : xadd.trim();
    }

    public String getPrism() {
        return prism;
    }

    public void setPrism(String prism) {
        this.prism = prism == null ? null : prism.trim();
    }

    public String getCva() {
        return cva;
    }

    public void setCva(String cva) {
        this.cva = cva == null ? null : cva.trim();
    }

    public String getOpticbc() {
        return opticbc;
    }

    public void setOpticbc(String opticbc) {
        this.opticbc = opticbc == null ? null : opticbc.trim();
    }

    public String getRs() {
        return rs;
    }

    public void setRs(String rs) {
        this.rs = rs == null ? null : rs.trim();
    }

    public String getSd() {
        return sd;
    }

    public void setSd(String sd) {
        this.sd = sd == null ? null : sd.trim();
    }

    public String getLrs() {
        return lrs;
    }

    public void setLrs(String lrs) {
        this.lrs = lrs == null ? null : lrs.trim();
    }

    public String getCrs() {
        return crs;
    }

    public void setCrs(String crs) {
        this.crs = crs == null ? null : crs.trim();
    }

    public String getBrs() {
        return brs;
    }

    public void setBrs(String brs) {
        this.brs = brs == null ? null : brs.trim();
    }

    public String getMpro() {
        return mpro;
    }

    public void setMpro(String mpro) {
        this.mpro = mpro == null ? null : mpro.trim();
    }

    public String getLbpo() {
        return lbpo;
    }

    public void setLbpo(String lbpo) {
        this.lbpo = lbpo == null ? null : lbpo.trim();
    }

    public String getFrameshape() {
        return frameshape;
    }

    public void setFrameshape(String frameshape) {
        this.frameshape = frameshape == null ? null : frameshape.trim();
    }

    public String getFrameheight() {
        return frameheight;
    }

    public void setFrameheight(String frameheight) {
        this.frameheight = frameheight == null ? null : frameheight.trim();
    }

    public String getFramebridgewidth() {
        return framebridgewidth;
    }

    public void setFramebridgewidth(String framebridgewidth) {
        this.framebridgewidth = framebridgewidth == null ? null : framebridgewidth.trim();
    }

    public String getSpk() {
        return spk;
    }

    public void setSpk(String spk) {
        this.spk = spk == null ? null : spk.trim();
    }

    public String getJframeshape() {
        return jframeshape;
    }

    public void setJframeshape(String jframeshape) {
        this.jframeshape = jframeshape == null ? null : jframeshape.trim();
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color == null ? null : color.trim();
    }

    public String getLenDiameter() {
        return lenDiameter;
    }

    public void setLenDiameter(String lenDiameter) {
        this.lenDiameter = lenDiameter == null ? null : lenDiameter.trim();
    }

    public String getPx() {
        return px;
    }

    public void setPx(String px) {
        this.px = px == null ? null : px.trim();
    }

    public String getPs() {
        return ps;
    }

    public void setPs(String ps) {
        this.ps = ps == null ? null : ps.trim();
    }

    public String getMark() {
        return mark;
    }

    public void setMark(String mark) {
        this.mark = mark == null ? null : mark.trim();
    }

    public String getWz() {
        return wz;
    }

    public void setWz(String wz) {
        this.wz = wz == null ? null : wz.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getStore() {
        return store;
    }

    public void setStore(String store) {
        this.store = store == null ? null : store.trim();
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public String getYuliu1() {
        return yuliu1;
    }

    public void setYuliu1(String yuliu1) {
        this.yuliu1 = yuliu1 == null ? null : yuliu1.trim();
    }

    public String getLy() {
        return ly;
    }

    public void setLy(String ly) {
        this.ly = ly == null ? null : ly.trim();
    }

    @Override
    public String toString() {
        return "cgmaterial{" +
                "id=" + id +
                ", username='" + username + '\'' +
                ", materialcode='" + materialcode + '\'' +
                ", materialdetile='" + materialdetile + '\'' +
                ", price='" + price + '\'' +
                ", sph='" + sph + '\'' +
                ", cyl='" + cyl + '\'' +
                ", axis='" + axis + '\'' +
                ", pdfod='" + pdfod + '\'' +
                ", ph='" + ph + '\'' +
                ", xadd='" + xadd + '\'' +
                ", prism='" + prism + '\'' +
                ", cva='" + cva + '\'' +
                ", opticbc='" + opticbc + '\'' +
                ", rs='" + rs + '\'' +
                ", sd='" + sd + '\'' +
                ", lrs='" + lrs + '\'' +
                ", crs='" + crs + '\'' +
                ", brs='" + brs + '\'' +
                ", mpro='" + mpro + '\'' +
                ", lbpo='" + lbpo + '\'' +
                ", frameshape='" + frameshape + '\'' +
                ", frameheight='" + frameheight + '\'' +
                ", framebridgewidth='" + framebridgewidth + '\'' +
                ", spk='" + spk + '\'' +
                ", jframeshape='" + jframeshape + '\'' +
                ", color='" + color + '\'' +
                ", lenDiameter='" + lenDiameter + '\'' +
                ", px='" + px + '\'' +
                ", ps='" + ps + '\'' +
                ", mark='" + mark + '\'' +
                ", wz='" + wz + '\'' +
                ", createtime=" + createtime +
                ", store='" + store + '\'' +
                ", num=" + num +
                ", yuliu1='" + yuliu1 + '\'' +
                ", ly='" + ly + '\'' +
                '}';
    }
}